<!--
/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
-->
<div class="payment-option _collapsible opc-payment-additional discount-code"
     data-bind="mageInit: {'collapsible':{'openedState': '_active'}}">
    <div class="payment-option-title field choice" data-role="title">
        <span class="action action-toggle" id="block-discount-heading" role="heading" aria-level="2">
            <!-- ko i18n: 'Apply Discount Code'--><!-- /ko -->
        </span>
    </div>
    <div class="payment-option-content" data-role="content">
        <!-- ko foreach: getRegion('messages') -->
        <!-- ko template: getTemplate() --><!-- /ko -->
        <!--/ko-->
        <form class="form form-discount" id="discount-form">
            <div class="row">
              <div class="col-sm-7 form-discount-col padding-right0">
                <div class="payment-option-inner">
                    <div class="field">
                        <label class="label" for="discount-code">
                            <span data-bind="i18n: 'Enter discount code'"></span>
                        </label>
                        <div class="control">
                            <input class="input-text"
                                   type="text"
                                   id="discount-code"
                                   name="discount_code"
                                   data-validate="{'required-entry':true}"
                                   data-bind="value: couponCode, attr:{disabled:isApplied() , placeholder: $t('Enter discount code')} " />
                        </div>
                    </div>
                </div>
              </div>
              <div class="col-sm-5 form-discount-col padding-left0">
                <div class="actions-toolbar">
                    <div class="primary">
                        <!-- ko ifnot: isApplied() -->
                            <button class="action action-apply btn btn-primary" type="submit" data-bind="'value': $t('Apply Discount'), click: apply">
                                <span><!-- ko i18n: 'Apply Discount'--><!-- /ko --></span>
                            </button>
                        <!-- /ko -->
                        <!-- ko if: isApplied() -->
                            <button class="action action-cancel btn btn-primary" type="submit" data-bind="'value': $t('Cancel'), click: cancel">
                                <span><!-- ko i18n: 'Cancel coupon'--><!-- /ko --></span>
                            </button>
                        <!-- /ko -->
                    </div>
                </div>
              </div>
            </div>

            <!-- ko foreach: getRegion('captcha') -->
            <!-- ko template: getTemplate() --><!-- /ko -->
            <!-- /ko -->
        </form>
    </div>
</div>
